/*! 
* @file  Konstanten.h
* @brief Legt diverse Konstanten fest
*/

#ifndef __KONSTANTEN_
#define __KONSTANTEN_

// Ausrichtung von Strassen/Fahrzeugen
#define VER 0
#define HOR 1

// Richtung der Spur
#define RTOL -1
#define LTOR  1

#define DOWN -1
#define UP    1

// Farbwert fuer Endzustand einer Spur
#define STOP  0
#define GRUEN 1
#define GELB  2
#define ROT   3

// Abbiegerichtung einer Strasse
#define NICHTS 0
#define LINKS  1
#define MITTE  2
#define RECHTS 3

#define OST    1
#define SUED   2
#define WEST   3
#define NORD   4

// Fahrzeugtypen
#define BIKE 1
#define PKW  2
#define LKW  3
#define BUS  4

#endif