/*! 
 * @file  Koordinaten.h
 * @brief Definition der Klasse Koordinaten.
 */
  
#ifndef __KOORDINATEN_
#define __KOORDINATEN_

#include <iostream>
using namespace std;

/*!
 * @class Koordinaten
 * @brief Beinhaltet ein Trippel aus duoble-Werten. Fuer verschiede Einsaetze gedacht. Z.B. Koordinatengaben (x,y,z) oder Farbangaben (r,g,b).
 */ 
class Koordinaten
{
public:
	Koordinaten();
	Koordinaten( double tmpX, double tmpY, double tmpZ );
	double x;
	double y;
	double z;
	friend ostream &operator<< ( ostream &os, Koordinaten koordinaten );
};

#endif