/*!
 * @file  main.cpp
 * @brief Enthaelt die int main(..)
 */ 

#include <qapplication.h>
#include "gui/hauptfenster.h"

/*!
 * @fn		int main( int argc, char ** argv )
 * @brief	Der Einstieg des Programmes
 * 
 * @author	Nico Schroeder
 *
 * @param	argc Die Anzahl der Uebergabeparameter
 * @param	argv Die Uebergabeparameter
 */
int main( int argc, char ** argv )
{
    QApplication a( argc, argv );
    Hauptfenster w;
    w.show();
    a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
    return a.exec();
}
